• yeoman et gulp – task ‘wiredep’ is not in you gulpfile.

    En date d’aujourd’hui 24 Février 2017, Yeoman semble avoir des problèmes lorsque l’on sélectionne gulp plutôt que grunt. Ma version est la 1.8.5 , installé avec npm.


    Premièrement, assurez-vous d’avoir la dernière version de gulp avant de générer votre app yeoman.

    Ensuite, générez l’application à l’aide de la commande yo
    Sélectionnez  gulp lors des différentes questions.

    À la final de l’installation, vous aurez ce message :

    Pas d’inquiétude. Le fichier gulpfile.js nécessite seulement un petit ajustement..
    La ligne gulp.task(‘bower’, function … doit être remplacée par celle-ci :

    Avec ce simple ajustement,  vous serez en mesure d’utiliser les commandes

    En attendant, espérons que yeoman corrigera la situation lors des prochaines versions.

     

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *